Subject: Re: bug#69865: 29.2; Can't instrument `org-babel-exp-results' with edebug

From: Kyle Meyer <[email-masked]>
Date: Sat, 01 Mar 2025 21:55:55 -0500

Stefan Kangas writes:

> Michael Heerdegen <[email-masked]> writes:

>> Wait a second please.  How was that - was I allowed to touch org files?
>> I recall that touching org stuff had not been wanted in the past because
>> of troubles when merging, or something like that.  Is it ok now?
>
> AFAIK, Org merges the changes to their tree periodically.

Correct.  And importantly all changes will be ported back to the Org
repo before Org's tree is synced with Emacs's, preventing Emacs's
changes from being unintentionally dropped.

> I wouldn't install anything more substantial as it's better to take
> that with the Org developers first, but small bug fixes should be
> fine, I think.
>
> I'm copying in Ihor, in case he has anything to add.

Ihor's opinion is the more important one here, but, as the person who
does the bulk of the porting from Emacs's to Org's tree, I agree with
your position.  Of course it's a judgment call regarding what's a minor
or simple enough change, but, worst case scenario, the Org side will see
something that we think warrants more discussion and initiate it.